## 目录结构说明

```text
├─app            应用目录
│  ├─events         事件目录
│  │
│  ├─http           网络服务
│  │  ├─controllers      控制器目录
│  │  ├─middleware       中间件目录
│  │  ├─requests         请求参数
│  │  ├─routes           路由目录
│  │  └─http.go          网络服务入口
│  │
│  ├─jobs           任务目录
│  ├─models         模型目录
│  ├─routes         路由目录
│  └─app.go         应用入口文件
│
├─cmd            程序命令
│  ├─web.go         网络服务名称
│  ├─cmd.go         命令入口
│  └─ ...
│
├─database       配置目录
│  ├─system         系统迁移
│  └─tenant         租户迁移
│
├─storage        运行时目录
│  ├─cache          缓存文件目录
│  ├─logs           日志目录
│  ├─uploads        文件上传目录
│
├─util           工具集
│  ├─backoff        函数失败重试
│  ├─cache          缓存组件
│  ├─district       内置三级地区初始化
│  ├─db             数据库操作
│  ├─jwt            JWT 封装
│  ├─rdb            Redis 操作
│  ├─rsp            接口返回封装
│  └─init.go        工具集初始化
│
├─.air.toml      air 工具配置
├─.env           默认配置（不建议修改）
├─.env.dev       开发配置
├─.example.env   环境变量示例文件
├─LICENSE.txt    授权说明文件
├─README.md      README 文件
├─main.go        命令行入口文件
├─ ...           其它文件
```
