package models

import (
	"time"

	"gorm.io/gorm"
)

const (
	CertForSupplier = "supplier" // 供应商资质
)

// Certification 资质
type Certification struct {
	ID          uint           `json:"id" gorm:"primarykey"`                                                // 标签编号
	OwnerID     uint           `json:"owner_id"`                                                            // 所属者编号
	OwnerType   string         `json:"owner_type"`                                                          // 所属者类型
	Attachments []File         `json:"attachments" gorm:"polymorphic:Owner;polymorphicValue:certification"` // 证书附件
	CreatedAt   time.Time      `json:"create_time"`                                                         // 创建时间
	UpdatedAt   time.Time      `json:"update_time"`                                                         // 上次更新时间
	DeletedAt   gorm.DeletedAt `json:"delete_time,omitempty"`                                               // 数据删除时间
}
