package models

import (
	"time"

	"gorm.io/gorm"
)

// InboundItem 入库单明细
type InboundItem struct {
	Id                  uint               `json:"id" gorm:"primarykey"`                                      // 入库明细编号
	InboundID           uint               `json:"inbound_id"`                                                // 所属入库单编号
	ProductId           uint               `json:"product_id"`                                                // 入库商品编号
	Product             *Product           `json:"product,omitempty" gorm:"foreignkey:ProductId"`             // 入库产品
	Batch               string             `json:"batch"`                                                     // 产品批次
	WarehouseLocationID uint               `json:"warehouse_location_id"`                                     // 入库仓位编号
	WarehouseLocation   *WarehouseLocation `json:"warehouse_location"  gorm:"foreignkey:WarehouseLocationID"` // 入库仓位
	Amount              int                `json:"amount"`                                                    // 入库数量
	CostPrice           int                `json:"cost_price"`                                                // 成本单价
	SellPrice           int                `json:"sell_price"`                                                // 销售单价(含税)
	CreatedAt           time.Time          `json:"create_time"`                                               // 创建时间
	UpdatedAt           time.Time          `json:"update_time"`                                               // 上次操作时间
	DeletedAt           gorm.DeletedAt     `json:"delete_time" gorm:"index"`                                  // 删除数据时间
}
