package models

import (
	"time"

	"gorm.io/gorm"
)

const (
	LinkmanForCustomer = "customer"
	LinkmanForSupplier = "supplier"
)

// Linkman 联系人
type Linkman struct {
	ID          uint           `json:"id" gorm:"primarykey"`     // 联系人编号
	OwnerID     uint           `json:"owner_id"`                 // 所属者编号
	OwnerType   string         `json:"owner_type"`               // 所属者类型
	Name        string         `json:"name"`                     // 联系人姓名
	PhoneNumber string         `json:"phone_number"`             // 联系人手机
	Position    string         `json:"position"`                 // 联系人职位
	IsMain      bool           `json:"is_main"`                  // 是否主要联系人
	CreatedAt   time.Time      `json:"create_time"`              // 创建时间
	UpdatedAt   time.Time      `json:"update_time"`              // 上次操作时间
	DeletedAt   gorm.DeletedAt `json:"delete_time" gorm:"index"` // 删除数据的时间
}
